Package org.eclipse.cdt.core

## Interface IBinaryParser

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`

All Known Implementing Classes:
  `CygwinPEParser`, `CygwinPEParser64`, `ElfParser`, `GNUElfParser`, `MachOParser`, `MachOParser64`, `PEParser`, `PEParser64`, `SOMParser`, `XCOFF32Parser`

    public interface IBinaryParser
    extends org.eclipse.core.runtime.IAdaptable

### Nested Class Summary

Nested Classes
`static interface` `IBinaryParser.IBinaryArchive` Represents an archive.
`static interface` `IBinaryParser.IBinaryExecutable` An executable.
`static interface` `IBinaryParser.IBinaryFile` Represents a binary file for example an ELF executable.
`static interface` `IBinaryParser.IBinaryObject` Represents a binary, for example an ELF excutable.
`static interface` `IBinaryParser.IBinaryShared` A DLL.
`static interface` `IBinaryParser.ISymbol`

### Method Summary

All Methods Instance Methods Abstract Methods
`IBinaryParser.IBinaryFile` `getBinary​(byte[] hints, org.eclipse.core.runtime.IPath path)` Creates an IBinaryFile.
`IBinaryParser.IBinaryFile` `getBinary​(org.eclipse.core.runtime.IPath path)` Creates an IBinaryFile.
`String` `getFormat()` Returns the name of the Format.
`int` `getHintBufferSize()` Get a hint of the needed buffer size to recognize the file.
`boolean` `isBinary​(byte[] hints, org.eclipse.core.runtime.IPath path)` True if the resource is a binary.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### getBinary

    IBinaryParser.IBinaryFile getBinary​(byte[] hints,
                                        org.eclipse.core.runtime.IPath path)
                                 throws IOException

Creates an IBinaryFile.

Parameters:
  `hints` - - array byte that can be use to recognise the file. Can be null or empty array when no hints are passed.
  `path` -
Throws:
  `IOException`

#### getBinary

    IBinaryParser.IBinaryFile getBinary​(org.eclipse.core.runtime.IPath path)
                                 throws IOException

Creates an IBinaryFile.

Parameters:
  `path` -
Throws:
  `IOException`

#### getFormat

    String getFormat()

Returns the name of the Format.

#### isBinary

    boolean isBinary​(byte[] hints,
                     org.eclipse.core.runtime.IPath path)

True if the resource is a binary.

Parameters:
  `hints` -
  `path` -

#### getHintBufferSize

    int getHintBufferSize()

Get a hint of the needed buffer size to recognize the file.